Bug 232460 - X stops responding to mouse and keyboard input when using the mouse scroll wheel
X stops responding to mouse and keyboard input when using the mouse scroll wheel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 12:52 EDT by Ed Schofield
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 10:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Schofield 2007-03-15 12:52:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.10) Gecko/20070226 Fedora/1.5.0.10-1.fc6 Firefox/1.5.0.10 pango-text

Description of problem:
We are noticing the same issue on four machines running Fedora Core 6 (x86_64) on an HP dc7700p (Intel Q965 chipset), with a PS2 or USB keyboard and optical mouse. Every few minutes when scrolling using either the mouse scroll wheel or the GTK scrollbar with some applications like Firefox, Gnome Terminal or gFTP, X stops responding to most keyboard input and mouse button clicks. This happens whether we use the default Gnome Metacity window manager or Beryl.

Sometimes it is possible to restore input to a normal state by using the keyboard to launch another window, using a key sequence such as ALT-Tab. When there are no other windows on the desktop, this isn't possible, but it is sometimes possible to restore normal input using the arrow keys to select an icon on desktop and hit Enter to open another window. The machines are, however, still alive; the Gnome System Monitor applet keeps updating normally, for example, and the machine can be used with a remote SSH shell.

This appears to be the same problem as described in http://forums.fedoraforum.org/showthread.php?p=752092



Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.7.fc6

How reproducible:
Always


Steps to Reproduce:
We have been observing this problem every 10-30 minutes under normal use but have not yet worked out a single set of steps to reproduce it exactly. It is, however, very easy to trigger with heavy scrolling.


Actual Results:


Expected Results:


Additional info:
The kernel version is:
2.6.19-1.2911.6.5.fc6 #1 SMP Sun Mar 4 16:05:34 EST 2007 x86_64 x86_64 x86_64 GNU/Linux

We are using a binary nVidia driver (1.0.9755)

The output of lspci -v is:

00:00.0 Host bridge: Intel Corporation 82Q963/Q965 Memory Controller Hub (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, fast devsel, latency 0
        Capabilities: <access denied>

00:01.0 PCI bridge: Intel Corporation 82Q963/Q965 PCI Express Root Port (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00001000-00001fff
        Memory behind bridge: f1000000-f31fffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000f0100000
        Capabilities: <access denied>

00:03.0 Communication controller: Intel Corporation 82Q963/Q965 HECI Controller (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, fast devsel, latency 0, IRQ 5
        Memory at f0426900 (64-bit, non-prefetchable) [size=16]
        Capabilities: <access denied>

00:03.2 IDE interface: Intel Corporation 82Q963/Q965 PT IDER Controller (rev 02) (prog-if 85 [Master SecO PriO])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 10
        I/O ports at 2110 [size=8]
        I/O ports at 2138 [size=4]
        I/O ports at 2118 [size=8]
        I/O ports at 213c [size=4]
        I/O ports at 20e0 [size=16]
        Capabilities: <access denied>

00:03.3 Serial controller: Intel Corporation 82Q963/Q965 KT Controller (rev 02) (prog-if 02 [16550])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
        I/O ports at 2120 [size=8]
        Memory at f0424000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>

00:19.0 Ethernet controller: Intel Corporation 82566DM Gigabit Network Connection (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 2800
        Flags: bus master, fast devsel, latency 0, IRQ 2301
        Memory at f0400000 (32-bit, non-prefetchable) [size=128K]
        Memory at f0425000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 2000 [size=32]
        Capabilities: <access denied>

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #4 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 2020 [size=32]

00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #5 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 21
        I/O ports at 2040 [size=32]

00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI #2 (rev 02) (prog-if 20 [EHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 22
        Memory at f0426000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at f0420000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=20, subordinate=20, sec-latency=0
        Capabilities: <access denied>

00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #1 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 2060 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #2 (rev 02) (prog-if 00 [UHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 21
        I/O ports at 2080 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI #1 (rev 02) (prog-if 20 [EHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0, IRQ 20
        Memory at f0426400 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2) (prog-if 01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
        Capabilities: <access denied>

00:1f.0 ISA bridge: Intel Corporation 82801HO (ICH8DO) LPC Interface Controller (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, medium devsel, latency 0
        Capabilities: <access denied>

00:1f.2 IDE interface: Intel Corporation 82801H (ICH8 Family) 4 port SATA IDE Controller (rev 02) (prog-if 8a [Master SecP PriP])
        Subsystem: Hewlett-Packard Company Unknown device 2802
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 18
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at 20f0 [size=16]
        I/O ports at 2100 [size=16]
        Capabilities: <access denied>

01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GT] (rev a1) (prog-if 00 [VGA])
        Subsystem: ASUSTeK Computer Inc. Unknown device 81f7
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at f1000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f2000000 (64-bit, non-prefetchable) [size=16M]
        I/O ports at 1000 [size=128]
        [virtual] Expansion ROM at f0000000 [disabled] [size=128K]
        Capabilities: <access denied>
Comment 1 Jukka Ketelaars 2007-03-18 14:38:29 EDT
I'm having the same problem with i386 rawhide on a hp nx7010 with both metacity
and compiz, no proprietary drivers. Alt-tab to another application and back
always fixes it. 

Though the problem occurs regularly occasionally multiple times per minute) I
find it impossible to trigger on purpose. So I suspect some specific sequence is
required.
Comment 2 Matěj Cepl 2007-04-03 05:30:11 EDT
Ed, I am sorry, but we really cannot fix systems running proprietary drivers,
please, try to reproduce with nv driver (I know, it is not that capable and
makes your shiny expensive card into something closer to SuperVGA). So when you
will be able to reproduce it with nv driver, please, reopen this bug and attach
to it as two uncompressed separate attachments your /var/log/Xorg.*.log and (if
used) /etc/X11/xorg.conf. What happens when you just rename /etc/X11/xorg.conf
and restart X?

Jukka, can I ask you to create a new bug about your problem and attach the above
mentioned files as well, please?

Thanks a lot to both of you.
Comment 3 Jukka Ketelaars 2007-04-29 09:24:27 EDT
Sorry for the late reply. The problem has gone away in last week or so.
Unfortunately I can't pinpoint the exact date or package that did it, but as far
as dependencies allowed I've been on the same level with rawhide over the last
week. No configuration changes have been made over the last week.
Comment 4 Matěj Cepl 2007-05-21 10:08:12 EDT
Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.